/* 
 * File:   adc.h
 * Author: david
 *
 * Created on 9 de septiembre de 2017, 19:14
 */

#ifndef ADC_H
#define	ADC_H

#ifdef	__cplusplus
extern "C" {
#endif

/* This method configures the 10-bit ADC module with 3.3 V as positive voltage reference, 
 * ground as negative voltage reference and the data result as absolute unsigned value. 
 */
void adc_config(void);
/* This method reads the current sampled value by the ADC module. */
unsigned short adc_read(void);


#ifdef	__cplusplus
}
#endif

#endif	/* ADC_H */

