/* 
 * File:   led.h
 * Author: david
 *
 * Created on 9 de septiembre de 2017, 20:48
 */

#ifndef LED_H
#define	LED_H

#ifdef	__cplusplus
extern "C" {
#endif

#include "xc.h"
    
#define RGB_OFF 0x0
#define RGB_RED 0x1
#define RGB_GREEN 0x2
#define RGB_YELLOW 0x3
#define RGB_BLUE 0x4
#define RGB_PINK 0x5
#define RGB_CYAN 0x6
#define RGB_WHITE 0x7

/* This method initializes the RGB LED GPIO lines.*/
void led_config(void);
/* This method sets the RGB LED GPIO lines according to a given colour code.*/
void led_toggle(unsigned char ledState);
/* This method toggles the RGB LED GPIO lines resulting in the blinking RGB LED behaviour.*/
void led_setColour(unsigned char colour);

#ifdef	__cplusplus
}
#endif

#endif	/* LED_H */

